!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module type_mod
!
!   * Developers: Morikawa Yasuhiro
!   * Version: $Id: type.f90,v 1.4 2005/01/19 08:52:44 morikawa Exp $
!   * Tag Name: $Name: dcpam2-20050405 $
!   * Change History: 
!
!== Overview
!
!This module provide parameter of KIND.
!
!種別型パラメタ値を提供するモジュールである。
!この他のモジュールおよびプログラムは原則的に全て
!このモジュールを参照するようにする。
!そのようにすることで、種別型パラメタ値を変更したい場合、
!このモジュール内の値を変更するだけで全てのモジュールに
!その変更が適用される。
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
!
                                                                 !=end

module type_mod
                                                                 !=begin
  !== Dependency
  !
  !none.
                                                                 !=end
  implicit none
                                                                 !=begin
  !== Public Interface
  private
  public :: REKIND, DBKIND, INTKIND, TOKEN, STRING, NMLARRAY ! variables
                                                                 !=end
                                                                 !=begin
  !== Public Data

  integer, parameter:: TOKEN   = 32   ! 単語の文字列の長さ
  integer, parameter:: STRING  = 500  ! 文章の文字列の長さ

  integer, parameter:: REKIND  = kind(0.0e0) ! 単精度実数の精度
  integer, parameter:: DBKIND  = kind(0.0d0) ! 倍精度実数の精度
  integer, parameter:: INTKIND = kind(0)     ! 整数の精度

  integer, parameter:: NMLARRAY = 100 ! NAMELIST で配列を取得する際の
  !                                      ! デフォルトの配列サイズ

                                                                 !=end
end module type_mod
